<!DOCTYPE html>
<!--
    1. v-로 시작하는 속성은 디렉티브라고 하며 주로 단방향 데이터 바인딩과 관련된 처리를 실시합니다.
    중요한 것은 디렉티브의 값이 자바스크립트에서 리턴한 프로퍼티를 사용합니다.

    2.  다음은 태그의 속성을 데이터로 지정하고 싶을 때 사용하는 v-bind 입니다.
    형식)
        (1) <태그명 v-bind:태그속성="프로퍼티명"></태그명>
        (2) <태그명 :태그속성="프로퍼티명"></태그명>

    예)
        (1) <p v-bind:class="프로퍼티명">
        (2) v-bind: => :로 간단히 사용 가능합니다.
            <p :class="프로퍼티명">

    3. 클래스 속성 지정 방법
        (1) <p :class='프로퍼티명'>
        (2) <p :class='[프로퍼티명, 프로퍼티명, ..]'>
        (3) <p :class='{클래스명 : 프로퍼티명의 값이 true 또는 false}'>
-->
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>
<body>
    <!-- Mustache 기법: 텍스트 콘텐츠의 해당 위치에 {{}}를 통해 data를 참조할 수 있다. -->
    <div id="app">
        <input v-bind:type="type" v-bind:value="inputData" />

        <p v-text="inputData"></p>
        <p>{{inputData}}</p>
    </div>

    <script>
        new Vue({
            el: "#app",
            data: {
                inputData: "hello",
                inputType: "text"
            },
        });
    </script>
</body>
</html>